#include<bits/stdc++.h>
using namespace std;

typedef struct frilenser
	{
		int a;
		double p;
	}Frilenser;

double zarada(frilenser s[], int n, double por)
{
	double z=0*0.01;
	for(int i=0;i<n;i++)
	{
		if(s[i].p>=por) z+=s[i].a*por*0.01;
	}
	return z;
}

double optporez(frilenser s[], int k)
{
	double opt=s[0].p;
	if(k==1)
	{
		opt=s[0].p;
	}
	else
	{
		for(int i=1;i<k;i++)
		{
			if(zarada(s,k,s[i].p)>zarada(s,k,opt)) opt=s[i].p;		
		}
	}
	return opt;
}

int main()
{
	int n;
	cin>>n;
	frilenser s[n];
	int x;
	double y;
	for(int i=0;i<n;i++)
	{
		cin>>x>>y;
		s[i].a=x;
		s[i].p=y;
	}
	double por=optporez(s,n);
	double z=zarada(s,n,por);
	cout<<fixed<<setprecision(5)<<z;
	
	return 0;
}